summaryrefslogtreecommitdiffstats
path: root/source/a/mkinitrd/mkinitrd.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/mkinitrd/mkinitrd.SlackBuild')
-rwxr-xr-xsource/a/mkinitrd/mkinitrd.SlackBuild4
1 files changed, 3 insertions, 1 deletions
diff --git a/source/a/mkinitrd/mkinitrd.SlackBuild b/source/a/mkinitrd/mkinitrd.SlackBuild
index 7fd28b3da..456e4481a 100755
--- a/source/a/mkinitrd/mkinitrd.SlackBuild
+++ b/source/a/mkinitrd/mkinitrd.SlackBuild
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=mkinitrd
VERSION=${VERSION:-1.4.11}
BB=1.32.1
-BUILD=${BUILD:-28}
+BUILD=${BUILD:-29}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -126,6 +126,8 @@ chmod 755 $PKG/sbin/mkinitrd
( cd $PKG/sbin ; zcat $CWD/0003-blacklist.40-usb_modeswitch.rules.patch.gz | patch -p1 --verbose || exit 1) || exit 1
# Support modules compressed with xz:
( cd $PKG/sbin ; zcat $CWD/0005-support-modules-compressed-with-xz.patch.gz | patch -p1 --verbose || exit 1) || exit 1
+# Ensure target directory for the module exists (cp regression workaround for coreutils-9.1):
+( cd $PKG/sbin ; zcat $CWD/0006-coreutils-9.1-ensure-target-dir-exists.patch.gz | patch -p1 --verbose || exit 1) || exit 1
rm -f $PKG/sbin/mkinitrd.orig
# Use -R if we detect the root partition is a partition of a RAID device:
( cd $PKG/usr/share/mkinitrd ; zcat $CWD/0004-check-if-BASEDEV-is-a-partition-of-a-RAID-volume.patch.gz | patch -p1 --verbose || exit 1) || exit 1